<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>

<body>
    <h1>Register</h1>
    <div class="card w-75 mx-auto">
        <div class="card-body">
            <p th:if="${feedback}" th:text="${feedback}"></p>
            <!-- La validation côté html est une validation de confort, c'est bien de l'avoir
            pour le user final, mais elle n'est pas sécurisée du tout, on peut très facilement
            passer à travers, la validation côté back est donc obligatoire pour la sécurité -->
            <form th:action="@{/register}" method="post">
                <label for="email">Email :</label>
                <input th:classappend="${#fields.hasErrors('user.email')}?'is-invalid':'is-valid'" type="email" required id="email" class="form-control" th:field="${user.email}">
                <p class="invalid-feedback" th:errors="${user.email}"></p>
                <label for="password">Password :</label>
                <input th:classappend="${#fields.hasErrors('user.password')}?'is-invalid':'is-valid'" type="password" required minlength="4" id="password" class="form-control" th:field="${user.password}">
                <p class="invalid-feedback" th:errors="${user.password}"></p>

                <!-- version à la cool, et du coup avec ça on a pas besoin de tout le th:classappend, mais par contre l'input sera pas entouré de rouge, mais bon, on s'en fout au pire -->
                <p class="text-danger" th:errors="${user.password}"></p>
                <button class="btn btn-primary">Register</button>
            </form>
        </div>
    </div>
</body>

</html>